Browse files

RUBY_ENGINE is not defined on 1.8

  • Loading branch information...
1 parent fc98811 commit 8a2f0a9623e38b667fd7970337e3be52ade7a0e7 @jonleighton jonleighton committed Nov 6, 2011
Showing with 1 addition and 1 deletion.
  1. +1 −1 actionpack/lib/action_view/template.rb
View
2 actionpack/lib/action_view/template.rb
@@ -3,7 +3,7 @@
require 'active_support/core_ext/object/try'
require 'active_support/core_ext/kernel/singleton_class'
-if RUBY_ENGINE == 'ruby' && RUBY_VERSION == '1.9.3' && RUBY_PATCHLEVEL == 0
+if defined?(RUBY_ENGINE) && RUBY_ENGINE == 'ruby' && RUBY_VERSION == '1.9.3' && RUBY_PATCHLEVEL == 0
# This is a hack to work around a bug in Ruby 1.9.3p0:
# http://redmine.ruby-lang.org/issues/5564
#

0 comments on commit 8a2f0a9

Please sign in to comment.